<?php

declare(strict_types=1);

namespace app\models;

/**
 * Настройки
 */
class Settings extends Document
{
    /**
     * Имя коллекции
     */
    public static function collectionName(): string
    {
        return 'settings';
    }

    /**
     * Свойства
     */
    public function attributes(): array
    {
        return array_merge(
            parent::attributes(),
            [
                'search_period',
                'search_connect_keep'
            ]
        );
    }

    /**
     * Метки свойств
     */
    public function attributeLabels(): array
    {
        return array_merge(
            parent::attributeLabels(),
            [
                'search_period' => 'Поисковый период',
                'search_connect_keep' => 'Режим удержания'
            ]
        );
    }

    /**
     * Правила
     */
    public function rules(): array
    {
        return array_merge(
            parent::rules(),
            [
                [
                    [
                        'search_period'
                    ],
                    'integer',
                    'message' => '{attribute} должен хранить цифровое значение'
                ],
                [
                    [
                        'search_connect_keep'
                    ],
                    'string',
                    'message' => '{attribute} должен хранить строковый тип'
                ]
            ]
        );
    }
}
