<?php

use yii\bootstrap\ActiveForm;
use yii\helpers\Html;

use app\models\Product;

?>
<link href="/css/pages/product.css" rel="stylesheet">

<div id="page_product" class="h-100">
    <div class="container h-100">
        <div class="row h-100 py-3">
            <article class="col-12">
                <div class="h-100 p-3 d-flex flex-column rounded">
                    <div id="product_slider" class="row px-3 profile_panel">
                        <div class="col-1 product_slider_preview p-0 pr-3 mb-3">
                            <?
                                foreach ($model['imgs'] ?? [null] as $key => $image) {
                                    // Перебор изображений

                                    // Инициализация
                                    $name = $image['name'] ?? 'Без названия';
                                    $h150 = $image['h150'] ?? '/img/covers/h150/product.png';

                                    // Генерация предпросмотра изображения
                                    echo <<<HTML
                                        <label class="p-0 mb-2" for="product_slider_image_$key">
                                            <img class="img-fluid rounded" src="$h150"/>
                                        </label>
                                    HTML;
                                }
                            ?>
                        </div>
                        <div class="product_slider_image">
                            <?
                                // Инициализация
                                $imgs = $model['imgs'] ?? [null];
                                $checked = '';

                                foreach ($imgs as $key => $image) {
                                    // Перебор изображений

                                    // Инициализация
                                    $name = $image['name'] ?? 'Без названия';
                                    $orig = $image['orig'] ?? '/img/covers/product.png';
                                    $covr = $image['covr'] ?? false;

                                    if ($covr || count($imgs) < 2) {
                                        // Если это изображение является обложкой

                                        // Реинициализация
                                        $checked = 'checked';
                                    }

                                    // Генерация изображения
                                    echo <<<HTML
                                        <input type="radio" id="product_slider_image_$key" name="slider" $checked/>
                                        <div class="col p-0">
                                            <img class="img-fluid rounded" src="$orig"/>
                                        </div>
                                    HTML;

                                    // Деинициализация
                                    $checked = '';
                                }
                            ?>
                        </div>
                        <div class="col ml-4 d-flex flex-column">
                            <div class="row mb-1">
                                <h3 class="my-auto">Название товара</h3>
                                <h5 class="ml-auto my-auto"><?= $model['catn'] ?></h5>
                            </div>
                            <div class="dropdown-divider px-0 mb-3"></div>
                            <div class="row mb-3 h-100 product_panel d-flex flex-column">
                                <p class="mt-0">
                                    ОЕМ-номера можно сюда добавить с возможностью перехода
                                    <?
                                        // foreach ($model['catn'] ?? [] as $catn) {
                                        //     echo <<<HTML
                                        //         $catn
                                        //     HTML;
                                        // }
                                    ?>
                                </p>
                            </div>
                            <?
                                $form = ActiveForm::begin([
                                    'id' => 'form_product_cart',
                                    'action' => false,
                                    'fieldConfig' => [
                                        'template' => '{input}',
                                    ],
                                    'options' => [
                                        'onsubmit' => 'return false;',
                                        'class' => 'row mt-auto'
                                    ]
                                ]);

                                // Просто для теста
                                $model = new Product();
                            ?>

                            <div class="col-6 px-0 mr-4 btn-group">
                                <?= Html::submitButton('В корзину', ['name' => 'cartWrite', 'onclick' => 'product_cart_write(this.parentElement);', 'class' => 'col-10 btn button_blue button_clean py-2 px-5']) ?>
                                <?= $form->field($model, 'amount', ['options' => ['class' => 'col h-100 m-0 form-group']])->textInput(['value' => '1', 'class' => 'form-control h-100 rounded-0 text-center button_clean']); ?>
                            </div>

                            <div>
                                <p class="mt-0">
                                    <strong>Хабаровск: </strong>
                                    в наличии
                                </p>
                                <p class="mb-0">
                                    Доставим: завтра
                                </p>
                            </div>

                            <? ActiveForm::end(); ?>
                        </div>
                    </div>
                    <div class="row mt-auto mx-0">
                        <p class="ml-0">Время для повышения релевантности в поисковиках</p>
                        <time class="ml-auto"><?php echo date('d.m.Y', $model['date']) ?></time>
                    </div>
                </div>
            </article>
        </div>
    </div>
</div>