<?php

declare(strict_types=1);

use yii;

use app\models\Product;
use app\models\Supply;
use app\models\AccountEdgeSupply;
use app\models\SupplyEdgeProduct;

?>
<div class="col py-3 rounded">
    <div class="row px-3">
        <p class="ml-0">Почта: </p>
        <p class="mr-0"><?= yii::$app->user->identity->mail ?></p>
    </div>
    <div class="dropdown-divider my-3"></div>
    <dl class="m-0">
        <?
        if (yii::$app->user->identity->trst) {
            // Пользователь является доверенным

            // Инициализация
            $targetUrl = '/profile/trusted';

            if ('/' . yii::$app->request->pathInfo === $targetUrl) {
                // Запрошена эта страница

                echo <<<HTML
                <dt>
                    <a class="row text-dark button_white button_white_hover px-3 py-3 py-lg-2 font-weight-normal" href="$targetUrl"><i class="fas fa-sliders-h my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Панель управления</span></a>
                </dt>
                HTML;
            } else {
                echo <<<HTML
                <dt>
                    <a class="row text-dark button_white px-3 py-3 py-lg-2 font-weight-normal" href="$targetUrl"><i class="fas fa-sliders-h my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Панель управления</span></a>
                </dt>
                HTML;
            }
        }
        ?>
        <dt>
            <?
                // Инициализация
                $targetUrl = '/profile/supplies';

                if ('/' . yii::$app->request->pathInfo === $targetUrl) {
                    // Запрошена эта страница

                    echo <<<HTML
                        <a class="row text-dark button_white button_white_hover px-3 py-3 py-lg-2 font-weight-normal" href="$targetUrl"><i class="fas fa-truck my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Поставки</span></a>
                    HTML;
                } else {
                    echo <<<HTML
                        <a class="row text-dark button_white px-3 py-3 py-lg-2 font-weight-normal" href="$targetUrl"><i class="fas fa-truck my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Поставки</span></a>
                    HTML;
                }
            ?>
        </dt>
        <dt>
            <?
                // Инициализация
                $targetUrl = '/profile/monitoring';

                if ('/' . yii::$app->request->pathInfo === $targetUrl) {
                    // Запрошена эта страница

                    echo <<<HTML
                        <a class="row text-dark button_white button_white_hover px-3 py-3 py-lg-2 font-weight-normal" href="$targetUrl"><i class="fas fa-eye my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Мониторинг</span></a>
                    HTML;
                } else {
                    echo <<<HTML
                        <a class="row text-dark button_white px-3 py-3 py-lg-2 font-weight-normal" href="$targetUrl"><i class="fas fa-eye my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Мониторинг</span></a>
                    HTML;
                }
            ?>
        </dt>
        <dt>
            <?
                // Инициализация
                $targetUrl = '/profile';

                if ('/' . yii::$app->request->pathInfo === $targetUrl) {
                    // Запрошена эта страница

                    echo <<<HTML
                        <a class="row text-dark button_white button_white_hover px-3 py-3 py-lg-2 font-weight-normal" href="$targetUrl"><i class="fas fa-sliders-h my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Настройки</span></a>
                    HTML;
                } else {
                    echo <<<HTML
                        <a class="row text-dark button_white px-3 py-3 py-lg-2 font-weight-normal" href="$targetUrl"><i class="fas fa-sliders-h my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Настройки</span></a>
                    HTML;
                }
            ?>
        </dt>
    </dl>
    <div class="dropdown-divider my-3"></div>
    <div class="row px-3">
        <p class="ml-0">Загрузок с аккаунта:</p>
        <p class="mr-0"><?= AccountEdgeSupply::readAmount() ?></p>
    </div>
    <div class="row px-3">
        <p class="ml-0">Товары:</p>
        <p class="mr-0"><?= Product::readAmount() ?></p>
    </div>
    <div class="row px-3">
        <p class="ml-0">Поставки:</p>
        <p class="mr-0"><?= Supply::readAmount() ?></p>
    </div>
    <div class="row px-3">
        <p class="ml-0">Связано поставок:</p>
        <p class="mr-0"><?= SupplyEdgeProduct::readAmount() ?></p>
    </div>
</div>